## org.eclipse.emf.mapping.ecore2ecore
Interface Ecore2EcoreFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  Ecore2EcoreFactoryImpl

    public interface Ecore2EcoreFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `Ecore2EcorePackage`

Field Summary
`static Ecore2EcoreFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`Ecore2EcoreMappingRoot` `createEcore2EcoreMappingRoot()` Returns a new object of class 'Mapping Root'
`Ecore2EcorePackage` `getEcore2EcorePackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final Ecore2EcoreFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createEcore2EcoreMappingRoot

    Ecore2EcoreMappingRoot createEcore2EcoreMappingRoot()

  Returns a new object of class 'Mapping Root'.

  Returns:
    a new object of class 'Mapping Root'.

### getEcore2EcorePackage

    Ecore2EcorePackage getEcore2EcorePackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.